Package org.drinkless.tdlib

# Class TdApi.IdentityDocument

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.IdentityDocument

Enclosing class:
  `TdApi`

public static class TdApi.IdentityDocument extends TdApi.Object
An identity document.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Date`
  `expirationDate`
  Document expiration date; may be null if not applicable.
  `TdApi.DatedFile`
  `frontSide`
  Front side of the document.
  `String`
  `number`
  Document number; 1-24 characters.
  `TdApi.DatedFile`
  `reverseSide`
  Reverse side of the document; only for driver license and identity card; may be null.
  `TdApi.DatedFile`
  `selfie`
  Selfie with the document; may be null.
  `TdApi.DatedFile[]`
  `translation`
  List of files containing a certified English translation of the document.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdentityDocument()`
  An identity document.
  `IdentityDocument(String number, TdApi.Date expirationDate, TdApi.DatedFile frontSide, TdApi.DatedFile reverseSide, TdApi.DatedFile selfie, TdApi.DatedFile[] translation)`
  An identity document.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### number

    public String number
    Document number; 1-24 characters.

  - ### expirationDate

    @Nullable public TdApi.Date expirationDate
    Document expiration date; may be null if not applicable.

  - ### frontSide

    public TdApi.DatedFile frontSide
    Front side of the document.

  - ### reverseSide

    @Nullable public TdApi.DatedFile reverseSide
    Reverse side of the document; only for driver license and identity card; may be null.

  - ### selfie

    @Nullable public TdApi.DatedFile selfie
    Selfie with the document; may be null.

  - ### translation

    public TdApi.DatedFile[] translation
    List of files containing a certified English translation of the document.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### IdentityDocument

    public IdentityDocument()
    An identity document.

  - ### IdentityDocument

    public IdentityDocument(String number, TdApi.Date expirationDate, TdApi.DatedFile frontSide, TdApi.DatedFile reverseSide, TdApi.DatedFile selfie, TdApi.DatedFile[] translation)
    An identity document.
    Parameters:
      `number` - Document number; 1-24 characters.
      `expirationDate` - Document expiration date; may be null if not applicable.
      `frontSide` - Front side of the document.
      `reverseSide` - Reverse side of the document; only for driver license and identity card; may be null.
      `selfie` - Selfie with the document; may be null.
      `translation` - List of files containing a certified English translation of the document.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR